| OpenGLRaw-1.1.0.1: A raw binding for the OpenGL graphics system | Source code | Contents | Index

Graphics.Rendering.OpenGL.Raw.EXT.TextureObject

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de

Contents

Functions
Tokens

Description
All raw functions and tokens from the EXT_texture_object extension, see http://www.opengl.org/registry/specs/EXT/texture_object.txt.
Synopsis

glGenTextures :: GLsizei -> Ptr GLuint -> IO ()
glDeleteTextures :: GLsizei -> Ptr GLuint -> IO ()
glBindTexture :: GLenum -> GLuint -> IO ()
glPrioritizeTextures :: GLsizei -> Ptr GLuint -> Ptr GLclampf -> IO ()
glAreTexturesResident :: GLsizei -> Ptr GLuint -> Ptr GLboolean -> IO GLboolean
glIsTexture :: GLuint -> IO GLboolean
gl_TEXTURE_PRIORITY :: GLenum
gl_TEXTURE_RESIDENT :: GLenum
gl_TEXTURE_1D_BINDING :: GLenum
gl_TEXTURE_2D_BINDING :: GLenum
gl_TEXTURE_3D_BINDING :: GLenum

Functions

glGenTextures :: GLsizei -> Ptr GLuint -> IO () | Source

glDeleteTextures :: GLsizei -> Ptr GLuint -> IO () | Source

glBindTexture :: GLenum -> GLuint -> IO () | Source

glPrioritizeTextures :: GLsizei -> Ptr GLuint -> Ptr GLclampf -> IO () | Source

glAreTexturesResident :: GLsizei -> Ptr GLuint -> Ptr GLboolean -> IO GLboolean | Source

glIsTexture :: GLuint -> IO GLboolean | Source

Tokens

gl_TEXTURE_PRIORITY :: GLenum | Source

gl_TEXTURE_RESIDENT :: GLenum | Source

gl_TEXTURE_1D_BINDING :: GLenum | Source

gl_TEXTURE_2D_BINDING :: GLenum | Source

gl_TEXTURE_3D_BINDING :: GLenum | Source

Produced by Haddock version 2.4.2